SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000310: creating an openvpn user without password removes all users - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000310Endian FirewallNetwork related (VPN, uplinks)public2007-11-12 17:272007-12-31 19:11
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000310: creating an openvpn user without password removes all users
DescriptionLOL, nice bug

If you create 3 openvpn users without password all users will be removed.
Is this reproducable?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000640)
peter-endian (administrator)
2007-11-12 20:53

it does remove some random users
(0000641)
peter-endian (administrator)
2007-11-12 21:12

Traceback (most recent call last):
  File "/usr/bin/openvpn-user", line 280, in ?
    openvpnuser(sys.argv)
  File "/usr/bin/openvpn-user", line 57, in __init__
    self.do_action()
  File "/usr/bin/openvpn-user", line 145, in do_action
    self.doset()
  File "/usr/bin/openvpn-user", line 224, in doset
    openvpn.setUserPassword(self.username, self.password)
  File "/usr/lib/python2.4/site-packages/openvpn.py", line 165, in setUserPasswo
rd
    setPasswdEntries(entries)
  File "/usr/lib/python2.4/site-packages/openvpn.py", line 136, in setPasswdEntr
ies
    pwdfile.write("%s:%s:%s:%s:%s:%s:%s:%s:%s:%s\n" % (user, data['password'],
KeyError: 'password'

- Issue History
Date Modified Username Field Change
2007-11-12 17:27 peter-endian New Issue
2007-11-12 17:27 peter-endian Status new => assigned
2007-11-12 17:27 peter-endian Assigned To => peter-endian
2007-11-12 20:52 peter-endian Status assigned => confirmed
2007-11-12 20:53 peter-endian Note Added: 0000640
2007-11-12 21:12 peter-endian Note Added: 0000641
2007-11-13 19:06 peter-endian Status confirmed => resolved
2007-11-13 19:06 peter-endian Resolution open => fixed
2007-12-31 15:05 raphael-endian Fixed in Version => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker